.btn {
  background-color: #fff
}

.d-loading {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(255, 255, 255, 0.54);
  z-index: 12;

  .m-loader {
    width: 30px;
    height: 30px;
    display: inline-block;
  }
}

.centering {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}


.layout {
  position: absolute;
  z-index: 1000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  overflow: hidden;
  background-color: #f2f3f8;

  .required {
    &:after {
      content: " *";
      color: #b82e45;
    }
  }

  .header {
    height: 60px;
    top: 0px;
    background: #ffffff;
    box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.15);

    img {
      height: 40px;
      top: 10px;
      left: 20px;
    }

    .title {
      font-family: "Barlow";
      font-style: normal;
      font-weight: 500;
      font-size: 24px;
      line-height: 60px;
      color: #444f78;
      text-align: center;
    }
  }

  .body {
    background: #ffffff;
    box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.15);
    margin-top: 90px;

    .import-box {
      padding: 20px 30px;
      height: calc(100vh - 300px);
      overflow-y: auto;

      &.has-border {
        border-right: 1px solid #ebedf2;
      }

      .body-header {
        font-family: "Barlow";
        font-style: normal;
        font-weight: 500;
        font-size: 20px;
        line-height: 24px;
        color: #444f78;
      }

      .body-title {
        font-family: Barlow;
        font-style: normal;
        font-weight: 500;
        font-size: 20px;
        line-height: 39px;
        color: #444f78;
      }

      .attribute-header {
        margin-top: 30px;
        margin-bottom: 15px;

        button {
          border: 1px solid #d9dde8;
          margin-left: auto;

          &:hover {
            background-color: #f8f8fb;
          }
        }
      }

      .att-icon {
        height: 10px;
        width: 10px;
        border-radius: 50%;
        margin-right: 10px;

        &.orange {
          background-color: #ff8a00;
        }

        &.green {
          background-color: #69be31;
        }

        &.blue {
          background-color: #2a94db;
        }
      }

      .attribute {
        background: #f4f5f9;
        margin-bottom: 10px;

        &.can-disabled.disabled {
          pointer-events: none;
          cursor: not-allowed;
          opacity: 0.4;
        }

        &.stable {
          -webkit-user-drag: none;
          -khtml-user-drag: none;
        }

        .att-sortable {
          flex: 0 0 30px;
          border-right: 1px solid #d9dde8;
          display: flex;
          align-items: center;
          justify-content: center;
          border: 1px solid #d9dde8;
          border-radius: 4px 0px 0px 4px;

          i {
            display: none;
            color: #fff;

            &:before {
              content: "\eb34";
            }
          }
        }

        .name {
          font-family: Barlow;
          font-style: normal;
          font-weight: 500;
          font-size: 14px;
          line-height: 17px;
          color: #444f78;
          padding: 10px;
          border: 1px solid #d9dde8;
          border-left: none;
          border-radius: 0 4px 4px 0;
          flex: 1;
        }

        i.icon-cancel {
          display: none;
          margin-left: auto;
          align-self: center;
          cursor: pointer;
          color: #b82e45;
        }

        &:hover {
          .att-sortable {
            &:not(.stable) {
              background-color: #444f78;
              border: none;

              i {
                display: inline;
              }
            }
          }

          i.icon-cancel {
            display: inline;
          }
        }
      }
    }
  }

  .footer {
    background: #f8f8fb;
    text-align: right;
    padding: 10px 20px;
    border-top: 1px solid #ebedf2;
    box-shadow: 0px 0px 10px rgba(68, 79, 120, 0.15);

    button {
      background: #ff8a00;
      border-radius: 4px;
      border: none;
      font-family: "Barlow";
      font-style: normal;
      font-weight: 500;
      font-size: 14px;
      color: #ffffff;

      i {
        margin-right: 10px;
      }
    }
  }
}

.tooltip-css {
  position: relative;

  .tooltiptext {
    visibility: hidden;
    background-color: #fff;
    box-shadow: 0 2px 12px 2px rgba(68, 79, 120, 0.3);
    border-radius: 4px;
    padding: 10px;
    position: absolute;
    z-index: 1;
    bottom: 110%;
    left: 50%;
    transform: translateX(-50%);
    font-family: "Barlow";
    font-style: normal;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    color: #444f78;

    &:after {
      content: "";
      width: 0;
      height: 0;
      border-left: 10px solid transparent;
      border-right: 10px solid transparent;
      border-top: 10px solid #fff;
      position: absolute;
      bottom: -5px;
      left: 50%;
      transform: translateX(-50%);
    }
  }

  &:hover {
    .tooltiptext {
      visibility: visible;
    }
  }

  &:focus {
    .tooltiptext {
      visibility: hidden;
    }
  }
}